<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Environment (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Environment (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Environment.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/record/DummyRecordWithChildren.html"
               title="class in org.apache.poi.hslf.record"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hslf/record/EscherPlaceholder.html"
               title="class in org.apache.poi.hslf.record"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/record/Environment.html" target="_top">Frames</a>
        </li>
        <li><a href="Environment.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.hslf.record.RecordContainer">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hslf.record</div>
    <h2 title="Class Environment" class="title">Class Environment</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/hslf/record/Record.html"
                       title="class in org.apache.poi.hslf.record">org.apache.poi.hslf.record.Record</a></li>
                <li>
                    <ul class="inheritance">
                        <li><a href="../../../../../org/apache/poi/hslf/record/RecordContainer.html"
                               title="class in org.apache.poi.hslf.record">org.apache.poi.hslf.record.RecordContainer</a>
                        </li>
                        <li>
                            <ul class="inheritance">
                                <li>
                                    <a href="../../../../../org/apache/poi/hslf/record/PositionDependentRecordContainer.html"
                                       title="class in org.apache.poi.hslf.record">org.apache.poi.hslf.record.PositionDependentRecordContainer</a>
                                </li>
                                <li>
                                    <ul class="inheritance">
                                        <li>org.apache.poi.hslf.record.Environment</li>
                                    </ul>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/hslf/record/PositionDependentRecord.html"
                           title="interface in org.apache.poi.hslf.record">PositionDependentRecord</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">Environment</span>
extends <a href="../../../../../org/apache/poi/hslf/record/PositionDependentRecordContainer.html"
           title="class in org.apache.poi.hslf.record">PositionDependentRecordContainer</a></pre>
                <div class="block">Environment, which contains lots of settings for the document.</div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Nick Burch</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.hslf.record.RecordContainer">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/RecordContainer.html"
                                        title="class in org.apache.poi.hslf.record">RecordContainer</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hslf/record/RecordContainer.html#Z:Z_children">_children</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.hslf.record.Record">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/Record.html"
                                        title="class in org.apache.poi.hslf.record">Record</a></h3>
                                <code><a href="../../../../../org/apache/poi/hslf/record/Record.html#logger">logger</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/Environment.html#Environment-byte:A-int-int-">Environment</a></span>(byte[]&nbsp;source,
                                    int&nbsp;start,
                                    int&nbsp;len)</code>
                                    <div class="block">Set things up, and find our more interesting children</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hslf/record/FontCollection.html"
                                        title="class in org.apache.poi.hslf.record">FontCollection</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/Environment.html#getFontCollection--">getFontCollection</a></span>()</code>
                                    <div class="block">Returns the FontCollection of this Environment</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>long</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/Environment.html#getRecordType--">getRecordType</a></span>()</code>
                                    <div class="block">We are of type 1010</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hslf/record/TxMasterStyleAtom.html"
                                        title="class in org.apache.poi.hslf.record">TxMasterStyleAtom</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/Environment.html#getTxMasterStyleAtom--">getTxMasterStyleAtom</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/record/Environment.html#writeOut-java.io.OutputStream-">writeOut</a></span>(java.io.OutputStream&nbsp;out)</code>
                                    <div class="block">Write the contents of the record back, so it can be written
                                        to disk
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hslf.record.PositionDependentRecordContainer">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/PositionDependentRecordContainer.html"
                                        title="class in org.apache.poi.hslf.record">PositionDependentRecordContainer</a>
                                </h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hslf/record/PositionDependentRecordContainer.html#getLastOnDiskOffset--">getLastOnDiskOffset</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/PositionDependentRecordContainer.html#getSheetId--">getSheetId</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/PositionDependentRecordContainer.html#setLastOnDiskOffset-int-">setLastOnDiskOffset</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/PositionDependentRecordContainer.html#setSheetId-int-">setSheetId</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/PositionDependentRecordContainer.html#updateOtherRecordReferences-java.util.Map-">updateOtherRecordReferences</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hslf.record.RecordContainer">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/RecordContainer.html"
                                        title="class in org.apache.poi.hslf.record">RecordContainer</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hslf/record/RecordContainer.html#addChildAfter-org.apache.poi.hslf.record.Record-org.apache.poi.hslf.record.Record-">addChildAfter</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/RecordContainer.html#addChildBefore-org.apache.poi.hslf.record.Record-org.apache.poi.hslf.record.Record-">addChildBefore</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/RecordContainer.html#appendChildRecord-org.apache.poi.hslf.record.Record-">appendChildRecord</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/RecordContainer.html#findFirstOfType-long-">findFirstOfType</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/RecordContainer.html#getChildRecords--">getChildRecords</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/RecordContainer.html#handleParentAwareRecords-org.apache.poi.hslf.record.RecordContainer-">handleParentAwareRecords</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/RecordContainer.html#isAnAtom--">isAnAtom</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/RecordContainer.html#moveChildBefore-org.apache.poi.hslf.record.Record-org.apache.poi.hslf.record.Record-">moveChildBefore</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/RecordContainer.html#moveChildrenAfter-org.apache.poi.hslf.record.Record-int-org.apache.poi.hslf.record.Record-">moveChildrenAfter</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/RecordContainer.html#moveChildrenBefore-org.apache.poi.hslf.record.Record-int-org.apache.poi.hslf.record.Record-">moveChildrenBefore</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/RecordContainer.html#removeChild-org.apache.poi.hslf.record.Record-">removeChild</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/RecordContainer.html#setChildRecord-org.apache.poi.hslf.record.Record:A-">setChildRecord</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/RecordContainer.html#writeOut-byte-byte-long-org.apache.poi.hslf.record.Record:A-java.io.OutputStream-">writeOut</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hslf.record.Record">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hslf.record.<a
                                        href="../../../../../org/apache/poi/hslf/record/Record.html"
                                        title="class in org.apache.poi.hslf.record">Record</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hslf/record/Record.html#buildRecordAtOffset-byte:A-int-">buildRecordAtOffset</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/Record.html#createRecordForType-long-byte:A-int-int-">createRecordForType</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/Record.html#findChildRecords-byte:A-int-int-">findChildRecords</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/Record.html#writeLittleEndian-int-java.io.OutputStream-">writeLittleEndian</a>,
                                    <a href="../../../../../org/apache/poi/hslf/record/Record.html#writeLittleEndian-short-java.io.OutputStream-">writeLittleEndian</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="Environment-byte:A-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>Environment</h4>
                                <pre>protected&nbsp;Environment(byte[]&nbsp;source,
                      int&nbsp;start,
                      int&nbsp;len)</pre>
                                <div class="block">Set things up, and find our more interesting children</div>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getFontCollection--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFontCollection</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hslf/record/FontCollection.html"
                                                    title="class in org.apache.poi.hslf.record">FontCollection</a>&nbsp;getFontCollection()</pre>
                                <div class="block">Returns the FontCollection of this Environment</div>
                            </li>
                        </ul>
                        <a name="getTxMasterStyleAtom--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTxMasterStyleAtom</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/hslf/record/TxMasterStyleAtom.html"
                                        title="class in org.apache.poi.hslf.record">TxMasterStyleAtom</a>&nbsp;getTxMasterStyleAtom()</pre>
                            </li>
                        </ul>
                        <a name="getRecordType--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRecordType</h4>
                                <pre>public&nbsp;long&nbsp;getRecordType()</pre>
                                <div class="block">We are of type 1010</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hslf/record/Record.html#getRecordType--">getRecordType</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../../org/apache/poi/hslf/record/Record.html"
                                                            title="class in org.apache.poi.hslf.record">Record</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="writeOut-java.io.OutputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>writeOut</h4>
                                <pre>public&nbsp;void&nbsp;writeOut(java.io.OutputStream&nbsp;out)
              throws java.io.IOException</pre>
                                <div class="block">Write the contents of the record back, so it can be written
                                    to disk
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hslf/record/Record.html#writeOut-java.io.OutputStream-">writeOut</a></code>&nbsp;in
                                        class&nbsp;<code><a href="../../../../../org/apache/poi/hslf/record/Record.html"
                                                            title="class in org.apache.poi.hslf.record">Record</a></code>
                                    </dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/Environment.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/record/DummyRecordWithChildren.html"
               title="class in org.apache.poi.hslf.record"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hslf/record/EscherPlaceholder.html"
               title="class in org.apache.poi.hslf.record"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/record/Environment.html" target="_top">Frames</a>
        </li>
        <li><a href="Environment.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.hslf.record.RecordContainer">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
